import React, { useCallback } from 'react';
import { Draggable } from 'react-beautiful-dnd';

const DragSorted = (props) => {
    // using useCallback is optional
    const onBeforeCapture = useCallback(() => {}, []);
    const onBeforeDragStart = useCallback(() => {}, []);
    const onDragStart = useCallback(() => {
        debugger;
    }, []);
    const onDragUpdate = useCallback(() => {}, []);
    const onDragEnd = useCallback(() => {}, []);

    return (
        <Draggable draggableId="draggable-1" index={0}>
            {(provided, snapshot) => (
                <div
                    ref={provided.innerRef}
                    {...provided.draggableProps}
                    {...provided.dragHandleProps}
                >
                    {props.children}
                </div>
            )}
        </Draggable>
    );
};
export default DragSorted;
